package com.example.afrishop_v3.models;

import java.math.BigDecimal;
import java.util.Date;

public interface SearchModel {
     String getItemName();
     String getItemId();
     String getItemCode();
     String getItemCategory();
     BigDecimal getItemPrice();
     BigDecimal getDiscountPrice();
     String getItemBrief();
     String getItemImg();
     String getItemUrl();
     String getItemTags();
     String getItemLabel();
     Long getItemNum();
     Long getItemCount();
     String getItemSku();
     String getItemTop();
     String getSupplier();
     String getPlatformCode();
     String getPlatformName();
     Integer getEnableFlag();
     Date getCreateTime();
     String getItemDescritionId();
     Long getItemCollectionNum();
}
